com.rscja.custom.interfaces

## Interface IUHFTemperatureTagsAPI

- All Known Implementing Classes:
    UHFTemperatureTagsAPI, UHFTemperatureTagsAPI_mtk, UHFTemperatureTagsAPI_qcom, UHFTemperatureTagsBLEAPI

      public interface IUHFTemperatureTagsAPI

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<UHFTemperatureTagsAPI.TagState>` | `checkTagState()`
    `java.util.List<UHFTemperatureTagsAPI.TagState>` | `checkTagState(int filterBank, int filterPtr, int filterCnt, java.lang.String filterData)`
    `boolean` | `initRegFile(int filterBank, int filterPtr, int filterCnt, java.lang.String filterData)`
    `UHFTemperatureTagsAPI.MultipleTemperatureInfo` | `readMultipleTemperature(int jstart, int jnum)`
    `UHFTemperatureTagsAPI.MultipleTemperatureInfo` | `readMultipleTemperature(int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int jstart, int jnum)`
    `boolean` | `readTagTemp(int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, float[] readTemp)`
    `boolean` | `readTagVoltage(float[] voltage)`
    `boolean` | `readTagVoltage(int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, float[] voltage)`
    `boolean` | `setEPCAndTemperatureMode()`
    `void` | `setInventoryCallback(UHFTemperatureTagsAPI.IUHFInventoryTempCallback tempCallback)`
    `boolean` | `startLogging(float min_temp, float max_temp, int work_delay, int work_interval)`
    `boolean` | `startLogging(int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, float min_temp, float max_temp, int work_delay, int work_interval)`
    `boolean` | `stopLogging(int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, java.lang.String pwd)`
    `boolean` | `stopLogging(java.lang.String pwd)`

- - ### Method Detail

    - #### initRegFile

          boolean initRegFile(int filterBank,
                              int filterPtr,
                              int filterCnt,
                              java.lang.String filterData)

    - #### readTagTemp

          boolean readTagTemp(int filterBank,
                              int filterPtr,
                              int filterCnt,
                              java.lang.String filterData,
                              float[] readTemp)

    - #### startLogging

          boolean startLogging(float min_temp,
                               float max_temp,
                               int work_delay,
                               int work_interval)

    - #### startLogging

          boolean startLogging(int filterBank,
                               int filterPtr,
                               int filterCnt,
                               java.lang.String filterData,
                               float min_temp,
                               float max_temp,
                               int work_delay,
                               int work_interval)

    - #### stopLogging

          boolean stopLogging(java.lang.String pwd)

    - #### stopLogging

          boolean stopLogging(int filterBank,
                              int filterPtr,
                              int filterCnt,
                              java.lang.String filterData,
                              java.lang.String pwd)

    - #### checkTagState

          java.util.List<UHFTemperatureTagsAPI.TagState> checkTagState()

    - #### checkTagState

          java.util.List<UHFTemperatureTagsAPI.TagState> checkTagState(int filterBank,
                                                                       int filterPtr,
                                                                       int filterCnt,
                                                                       java.lang.String filterData)

    - #### setEPCAndTemperatureMode

          boolean setEPCAndTemperatureMode()

    - #### setInventoryCallback

          void setInventoryCallback(UHFTemperatureTagsAPI.IUHFInventoryTempCallback tempCallback)

    - #### readMultipleTemperature

          UHFTemperatureTagsAPI.MultipleTemperatureInfo readMultipleTemperature(int filterBank,
                                                                                int filterPtr,
                                                                                int filterCnt,
                                                                                java.lang.String filterData,
                                                                                int jstart,
                                                                                int jnum)

    - #### readMultipleTemperature

          UHFTemperatureTagsAPI.MultipleTemperatureInfo readMultipleTemperature(int jstart,
                                                                                int jnum)

    - #### readTagVoltage

          boolean readTagVoltage(int filterBank,
                                 int filterPtr,
                                 int filterCnt,
                                 java.lang.String filterData,
                                 float[] voltage)

    - #### readTagVoltage

          boolean readTagVoltage(float[] voltage)